Meldingskanalen

GET https://wwidgets.com/api/notification-handlers/
curl --request GET \
--url 'https://wwidgets.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Beschrijving
search Optioneel String De zoekopdracht.
search_by Optioneel String In welk veld je zoekt. Toegestane waarden zijn: name.
is_enabled Optioneel Boolean
type Optioneel String In welk veld je zoekt. Toegestane waarden zijn: email, webhook, slack, discord, telegram, microsoft_teams, google_chat, ntfy, internal_notification.
datetime_field Optioneel String Toegestane waarden: datetime, last_datetime
datetime_start Optioneel String Filter resultaten vanaf deze datum en tijd. Formaat Y-m-d H:i:s.
datetime_end Optioneel String Filter resultaten tot deze datum en tijd. Formaat Y-m-d H:i:s.
order_by Optioneel String Op welk veld de resultaten worden gesorteerd. Toegestane waarden zijn: notification_handler_id, datetime, last_datetime, name.
order_type Optioneel String De sortering van de resultaten. Toegestane waarden zijn: ASC voor oplopende sortering en DESC voor aflopende sortering.
search Optioneel String De zoekopdracht.
search_by Optioneel String In welk veld je zoekt. Toegestane waarden zijn: name.
is_enabled Optioneel Boolean
type Optioneel String In welk veld je zoekt. Toegestane waarden zijn: email, webhook, slack, discord, telegram, microsoft_teams, google_chat, ntfy, internal_notification.
datetime_field Optioneel String Toegestane waarden: datetime, last_datetime
datetime_start Optioneel String Filter resultaten vanaf deze datum en tijd. Formaat Y-m-d H:i:s.
datetime_end Optioneel String Filter resultaten tot deze datum en tijd. Formaat Y-m-d H:i:s.
order_by Optioneel String Op welk veld de resultaten worden gesorteerd. Toegestane waarden zijn: notification_handler_id, datetime, last_datetime, name.
order_type Optioneel String De sortering van de resultaten. Toegestane waarden zijn: ASC voor oplopende sortering en DESC voor aflopende sortering.
page Optioneel Integer Het paginanummer waarvan je resultaten wilt. Standaard 1.
results_per_page Optioneel Integer Hoeveel resultaten je per pagina wilt. Toegestane waarden zijn: 10, 25, 50, 100, 250, 500, 1000. Standaard 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "[email protected]"
            },
            "is_enabled": 1,
            "last_datetime": null,
            "datetime": "2026-10-16 16:47:21"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://wwidgets.com/api/notification-handlers?page=1",
        "last": "https://wwidgets.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://wwidgets.com/api/notification-handlers?page=1"
    }
}
GET https://wwidgets.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://wwidgets.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "[email protected]"
        },
        "is_enabled": 1,
        "last_datetime": null,
        "datetime": "2026-10-16 16:47:21"
    }
}
POST https://wwidgets.com/api/notification-handlers
Parameters Details Beschrijving
name Verplicht String -
type Verplicht String Toegestane waarden: email, webhook, slack, discord, telegram, microsoft_teams, google_chat, ntfy, internal_notification
email Optioneel String Beschikbaar wanneer: type = email E-mail
webhook Optioneel String Beschikbaar wanneer: type = webhook Webhook-URL
slack Optioneel String Beschikbaar wanneer: type = slack Slack Webhook-URL
discord Optioneel String Beschikbaar wanneer: type = discord Discord Webhook-URL
telegram Optioneel String Beschikbaar wanneer: type = telegram Telegram API-token
telegram_chat_id Optioneel String Beschikbaar wanneer: type = telegram Telegram Chat-ID
microsoft_teams Optioneel String Beschikbaar wanneer: type = microsoft_teams Microsoft Teams Webhook-URL
google_chat Optioneel String Beschikbaar wanneer: type = google_chat Google Chat Webhook-URL
ntfy Optioneel String Beschikbaar wanneer: type = ntfy ntfy-topic-URL
curl --request POST \
--url 'https://wwidgets.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "[email protected]"
        },
        "is_enabled": 1,
        "last_datetime": null,
        "datetime": "2026-10-16 16:47:21"
    }
}
POST https://wwidgets.com/api/notification-handlers/{notification_handler_id}
Parameters Details Beschrijving
name Optioneel String -
type Optioneel String Toegestane waarden: email, webhook, slack, discord, telegram, microsoft_teams, google_chat, ntfy, internal_notification
email Optioneel String Beschikbaar wanneer: type = email E-mail
webhook Optioneel String Beschikbaar wanneer: type = webhook Webhook-URL
slack Optioneel String Beschikbaar wanneer: type = slack Slack Webhook-URL
discord Optioneel String Beschikbaar wanneer: type = discord Discord Webhook-URL
telegram Optioneel String Beschikbaar wanneer: type = telegram Telegram API-token
telegram_chat_id Optioneel String Beschikbaar wanneer: type = telegram Telegram Chat-ID
microsoft_teams Optioneel String Beschikbaar wanneer: type = microsoft_teams Microsoft Teams Webhook-URL
google_chat Optioneel String Beschikbaar wanneer: type = google_chat Google Chat Webhook-URL
ntfy Optioneel String Beschikbaar wanneer: type = ntfy ntfy-topic-URL
is_enabled Optioneel Boolean -
curl --request POST \
--url 'https://wwidgets.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "email",
        "name": "Example new name",
        "settings": {
            "email": "[email protected]"
        },
        "is_enabled": 1,
        "last_datetime": "2026-10-16 16:47:21",
        "datetime": "2026-10-16 16:47:21"
    }
}
DELETE https://wwidgets.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://wwidgets.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \